<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class DemoSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);

	try {

	}
	catch (Exception $e) {
		$this->version_msg = 'unknown';	
	}
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        $show_tv = isset($plugin_cookies->show_tv) ?
            $plugin_cookies->show_tv : 'yes';

        $m3u = isset($plugin_cookies->m3u) ?
            $plugin_cookies->m3u : '';

        $use_proxy = isset($plugin_cookies->use_proxy) ?
            $plugin_cookies->use_proxy : 'no';

        $proxy_ip = isset($plugin_cookies->proxy_ip) ?
            $plugin_cookies->proxy_ip : '192.168.1.1';

		$proxy_port = isset($plugin_cookies->proxy_port) ?
				$plugin_cookies->proxy_port : '9999';
				
		$epg_shift = isset($plugin_cookies->epg_shift) ?
				$plugin_cookies->epg_shift : '0';
				
        $show_ops = array();
        $show_ops['yes'] = 'Да';
        $show_ops['no'] = 'Нет';
		
		for ($i = -12; $i<13; $i++)
		$shift_ops[$i*3600] = $i;
		
		$utils_ops = array();
		$utils_ops['0'] = 'Не выбрано';
        $utils_ops['http://o3.ua/iptv/tv_and_radio.m3u'] = 'ТБ і Радіо';
        $utils_ops['http://o3.ua/iptv/tv_only.m3u'] = 'Тільки ТБ';
        $utils_ops['http://o3.ua/iptv/tv_plus.m3u'] = 'Пакет ТВ+ (Києв)';
        $utils_ops['http://o3.ua/iptv/tv_all.m3u'] = 'ТВ, ТВ+ і Радіо(Києв)';
		$utils_ops['http://o3.ua/iptv/tv_if.m3u'] = 'Дніпропетровськ';
        $utils_ops['http://o3.ua/iptv/tv_lviv.m3u'] = 'Львов';
	
		$ver = file_get_contents(dirname(__FILE__).'/VERSION');
		$ver = str_replace("﻿version=", "", $ver);
		$ver = str_replace('date=', "[", $ver);
		$ver = str_replace(" 00:00", "]", $ver);
		$plugin_version = str_replace("\n", " ", $ver);
		
		$this->add_button
			(
				$defs,
				'info_release',
				"Версия: $plugin_version",
				'Информация об изменениях',
				0
			);

        $this->add_combobox($defs,
            'show_tv', 'Показывать O3_IPTV в разделе ТВ:',
            $show_tv, $show_ops, 0, true);
		$this->add_combobox($defs,
            'epg_shift', 'Коррекция ТВ программы(час.):',
            $epg_shift, $shift_ops, 0, true);	
		$this->add_combobox($defs,
            'm3u', 'Выберите свой город:',
            $m3u, $utils_ops, 0, true);
			
    	$this->add_label($defs, "Внимание:", "После изменения города, перегрузите плеер");
		
		$this->add_button
			(
				$defs,
				'restart',
				"",
				'Перезагрузить плеер',
				0
			);
			
        $this->add_combobox($defs,
            'use_proxy', 'Использовать UDP/HTTP proxy-сервер:',
            $use_proxy, $show_ops, 0, true);
	
	if ($use_proxy == 'yes') {

    	    $this->add_text_field($defs,
        	'proxy_ip', 'Адрес proxy-сервера (IP или DNS):', $proxy_ip,
		false, false, false, true, 500, false, true);

	    $this->add_text_field($defs,
    		'proxy_port', 'Порт proxy-сервера:', $proxy_port,
        	true, false, false,  true, null, false, true);
	}
	
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        // hd_print('Setup: handle_user_input:');
        // foreach ($user_input as $key => $value)
            // hd_print("  $key => $value");
        if ($user_input->action_type === 'confirm' || $user_input->action_type === 'apply' )
        {
            $control_id = $user_input->control_id;
            $new_value = $user_input->{$control_id};
            hd_print("Setup: changing $control_id value to $new_value");

            if ($control_id === 'show_tv')
                $plugin_cookies->show_tv = $new_value;
            else if ($control_id === 'm3u')
                $plugin_cookies->m3u = $new_value;

            else if ($control_id === 'use_proxy') {
            	    $plugin_cookies->use_proxy = $new_value;
            	    $plugin_cookies->proxy_ip = isset($plugin_cookies->proxy_ip) ? $plugin_cookies->proxy_ip : '192.168.1.1';
		    $plugin_cookies->proxy_port = isset($plugin_cookies->proxy_port) ? $plugin_cookies->proxy_port : '9999';
                }
            else if ($control_id === 'proxy_ip')
                $plugin_cookies->proxy_ip = $new_value;
            else if ($control_id === 'proxy_port')
                $plugin_cookies->proxy_port = $new_value;
			else if ($control_id === 'epg_shift')
				$plugin_cookies->epg_shift = $new_value;
			else if ($control_id === 'restart')
					shell_exec('killall shell');
			else if ($control_id === 'info_release')
			{
                $doc = HD::http_get_document('http://dune-club.info/plugins/update/O3_IPTV/info.txt');
				$tmp = explode('>>>', $doc);
				$text = $tmp[0];
				$defs = array();
				$texts = explode("\n", $text);
				$texts = array_values($texts);
				foreach($texts as $text)
				{
				ControlFactory::add_label($defs, "", trim($text));
				}
				ControlFactory::add_vgap($defs, -10);
				ControlFactory::add_close_dialog_button($defs,
                'ОК', 300);
				return ActionFactory::show_dialog('Информация об изменениях.', $defs);
			}
        }
        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
